Sync atop 1.26-2 (universe) from Debian unstable (main)

Bug #1131390 reported by Logan Rosen on 2013-02-21
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
atop (Ubuntu)
Undecided
Unassigned

Bug Description

Please sync atop 1.26-2 (universe) from Debian unstable (main)

Explanation of the Ubuntu delta and why it can be dropped:
  * New upstream release (LP: #629546, Closes: #569175)
  * Use "--oknodo" in init script (LP: #188350, Closes: #477362)
  * Only call logrotate in postinst if it exists (LP: #597051)
The Ubuntu changes are no longer necessary because:
(1) The Debian package installs properly without logrotate installed.
(2) The --oknodo in the init script was decided against inclusion in Debian bug #477362, and the reasoning there seems sensible.

Changelog entries since current raring version 1.26-0ubuntu1:

atop (1.26-2) unstable; urgency=low

  * fix typo in bug number in changelog. Sorry, sur5r
  * add patch to handle vd* disks as well (Closes: 640527)
  * remove set -e from init script, /etc/init.d/skeleton doesn't have it
  * Depend on lsb-base (>= 3.2-14) as we use log_* functions
  * streamlinie init script with current skeleton, add default file.
    Thanks to Vincent Lefevre (Closes: 675443)
  * add DEP-3 headers to patches
  * Roll back Debian patches breaking a feature:
    * Now, only use mkstemp to create temp file
    * Roll back Debian change: use upstream cronjob to rotate logs
      (Closes: 611616)
  * merge daily cron job and init script, debianize process
  * use a wrapper to obtain correct redirection
  * add cron to Recommends
  * remove atop binary in clean target

 -- Marc Haber <email address hidden> Tue, 22 May 2012 18:50:19 +0200

atop (1.26-1) unstable; urgency=low

  * New upstream version 1.26 (Closes: #569175)
    * repack source: remove binary that was contained in the source package
  * use dh level 9, source format 3.0 (quilt)
    * roll back Makefile to original state
    * roll /var/run patch into a quilt patch
    * roll logfile mkstemp patch into a quilt patch
    * add README.source
  * disable most functions of Makefile
    * disable process accounting (no kernel patch)
    * don't install package's init script
    * disable upstream's cron job
    * disable versioned symlinks
    * disable chkconfig call from Makefile
  * postinst: remove path from logrotate, move DEBHELPER last, set -e
  * new init script
    * Thanks to Peter Eisentraut for a patch that didn't get used
      (Closes: #529003)
  * put proper Copyright statement in debian/copyright
  * debian/control
    * add ${misc:Depends}
    * Standards-Version: 3.9.3 (no further changes necessary)
    * versioned build dep on debhelper
    * add Vcs-Lines
  * Import sources to alioth/collab-maint
  * New Maintainer (cleared with mia@qa) (Closes: #646744)

 -- Marc Haber <email address hidden> Sun, 20 May 2012 21:07:13 +0000

Michael Terry (mterry) wrote :

Seems correct. Will sync.

Michael Terry (mterry) wrote :

This bug was fixed in the package atop - 1.26-2
Sponsored for Logan Rosen (logan)

---------------
atop (1.26-2) unstable; urgency=low

  * fix typo in bug number in changelog. Sorry, sur5r
  * add patch to handle vd* disks as well (Closes: 640527)
  * remove set -e from init script, /etc/init.d/skeleton doesn't have it
  * Depend on lsb-base (>= 3.2-14) as we use log_* functions
  * streamlinie init script with current skeleton, add default file.
    Thanks to Vincent Lefevre (Closes: 675443)
  * add DEP-3 headers to patches
  * Roll back Debian patches breaking a feature:
    * Now, only use mkstemp to create temp file
    * Roll back Debian change: use upstream cronjob to rotate logs
      (Closes: 611616)
  * merge daily cron job and init script, debianize process
  * use a wrapper to obtain correct redirection
  * add cron to Recommends
  * remove atop binary in clean target

 -- Marc Haber <email address hidden> Tue, 22 May 2012 18:50:19 +0200

atop (1.26-1) unstable; urgency=low

  * New upstream version 1.26 (Closes: #569175)
    * repack source: remove binary that was contained in the source package
  * use dh level 9, source format 3.0 (quilt)
    * roll back Makefile to original state
    * roll /var/run patch into a quilt patch
    * roll logfile mkstemp patch into a quilt patch
    * add README.source
  * disable most functions of Makefile
    * disable process accounting (no kernel patch)
    * don't install package's init script
    * disable upstream's cron job
    * disable versioned symlinks
    * disable chkconfig call from Makefile
  * postinst: remove path from logrotate, move DEBHELPER last, set -e
  * new init script
    * Thanks to Peter Eisentraut for a patch that didn't get used
      (Closes: #529003)
  * put proper Copyright statement in debian/copyright
  * debian/control
    * add ${misc:Depends}
    * Standards-Version: 3.9.3 (no further changes necessary)
    * versioned build dep on debhelper
    * add Vcs-Lines
  * Import sources to alioth/collab-maint
  * New Maintainer (cleared with mia@qa) (Closes: #646744)

 -- Marc Haber <email address hidden> Sun, 20 May 2012 21:07:13 +0000

Changed in atop (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers